
QGIS Application - Bug report #19559

Snapping

2018-08-07 03:14 PM - Roy Roux

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 7 Pro SP1 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 27386

Description

QGIS Error Message:

An error has occurred while executing Python code:

RuntimeError: wrapped C/C++ object of type MGRStoLayerlgorithm has been deleted 

Traceback (most recent call last):

  File "C:/Users/rroux/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\latlontools\provider.py", line 20, in loadAlgorithms

    self.addAlgorithm( alg )

RuntimeError: wrapped C/C++ object of type MGRStoLayerlgorithm has been deleted

Python version: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)] 

QGIS version: 3.2.1-Bonn Bonn, 1edf372fb8

Python Path:

C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python

C:/Users/rroux/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/rroux/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins

C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins

C:\Program Files\QGIS 3.2\bin\python36.zip

C:\PROGRA~1\QGIS3~1.2\apps\Python36\DLLs

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib

C:\Program Files\QGIS 3.2\bin

C:\PROGRA~1\QGIS3~1.2\apps\Python36

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32\lib

C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\Pythonwin

C:/Users/rroux/AppData/Roaming/QGIS/QGIS3\profiles\default/python

C:/Users/rroux/Documents/1_QGS

History

#1 - 2018-08-07 03:28 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

3rd party plugin error, not a qgis one.
